# $Revision: 1.23 $, $Date: 2001/12/05 06:46:43 $
Summary:	Window Maker theme installation program
Summary(pl):	Program do instalacji tematw dla Window Makera
Name:		wmthemeinstall
Version:	0.62
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Group(de):	X11/Fenstermanager/Werkzeuge
Group(pl):	X11/Zarzdcy Okien/Narzdzia
Source0:	http://hellblazer.dhis.org/projects/download/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-options.patch
URL:		http://hellblazer.dhis.org/projects/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+-devel
BuildRequires:	zlib-devel
Requires:	WindowMaker
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define 	_prefix 	/usr/X11R6

%description
Window Maker Theme Install is a quick little WindowMaker theme
installation program that allows for the themes to be installed for
the whole system or a single user easily.

%description -l pl
Window Maker Theme Install jest szybkim i maym programem, sucym do
instalacji tematw WindowMakera. Pozwala na atw instalacj tematw
zarwno dla caego systemu jak i dla pojedyczego uytkownika.

%prep
%setup -q
%patch -p0

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure 
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Settings/WindowMaker

%{__make} install DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Settings/WindowMaker

gzip -9nf README ChangeLog AUTHORS NEWS

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/wmthemeinstall
%{_applnkdir}/Settings/WindowMaker/wmthemeinstall.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wmthemeinstall.spec,v $
Revision 1.23  2001/12/05 06:46:43  kloczek
- cosmetics.

Revision 1.22  2001/11/25 22:30:20  blues
- release 3
- moved desktop file to /Settings/WindowMaker

Revision 1.21  2001/11/21 02:48:53  blues
- small cosmetic in files
NOTE: no active URLs found

Revision 1.20  2001/10/10 13:28:08  qboosh
- adapterized, BuildRequires: autoconf,automake

Revision 1.19  2001/09/17 15:19:11  blues
- release 2
- ac2.5 ready

Revision 1.18  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.17  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/05/01 21:02:35  mkochano
- Removed 'BuildRequires: (XFree86|glib)-devel' from packages which have
  'BuildRequires: gtk+-devel'. They were redundant, beacuse 'gtk+-devel' says
  what it needs using 'Requires'. BTW, awk rules :)

Revision 1.15  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.13  1999/11/27 02:59:15  pius
- added using more rpm macros
- cosmetics

Revision 1.12  1999/10/10 09:27:00  pius
- updated to 0.62

Revision 1.11  1999/09/28 09:07:02  pius
- added more BuildRequires rules

Revision 1.10  1999/09/28 09:00:44  pius
- updated to 0.6
- added 'Serial: 1' to allow upgrade from 0.51

Revision 1.9  1999/09/16 20:27:23  pius
- updated to 0.51

Revision 1.8  1999/09/13 08:40:44  pius
- updated to 0.5,
- cosmetics.

Revision 1.7  1999/09/04 09:44:01  pius
- cosmetics

Revision 1.6  1999/09/04 08:48:47  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.5  1999/07/20 12:48:11  wiget
- switch to rpm 3.0.2

Revision 1.4  1999/07/19 21:06:37  pius
- updated to 0.31

Revision 1.3  1999/07/12 23:06:21  kloczek
- added using CVS keywords in %changelog (for automating them).

* Thu Jul 8 1999 Piotr Czerwiski <pius@pld.org.pl> 
  [0.21-1]
- initial rpm release for PLD use.
